* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

:root {
	--index: calc(1vw + 1vh);
	--color-header: #fefce5;
	--color-text: #fefce5;
	--gallery-gap: calc(var(--index) * 7.5);
}

@font-face {
	font-family: Novoposelensky-c;
	src: url(../fonts/Novoposelensky.otf);
}

@font-face {
	font-family: Revard-c;
	src: url(../fonts/Revard.otf);
}

h1, h2, h3, h4, h5, h6 {
	font-family: Revard-c;
}

/* will-change */
.content, .hero, .main-header, .gallery > * {
	will-change: transform;
}

body {
	background-image: url(../img/bg.jpg);
	background-size: 50px;
	color: #fefce5;
	font-family: Revard-c;
	overflow-x: hidden;
}

.hero {
	width: calc(var(--index) * 36);
	position: absolute;
	left: 37vw;
	top: 22vh;
	z-index: -1;
}

.main-header {
	height: 100vh;
}

.container {
	padding: 0 7vw;
}

.main-title {
	font-size: calc(var(--index) * 6);
	position: absolute;
	width: min-content;
	bottom: 9vh;
	line-height: .8;
}

.gallery {
	display: flex;
	padding: calc(var(--index) * 8) 0;
}

.gallery > * {
	flex: 1;
	display: flex;
	align-items: center;
	flex-direction: column;
}

.gallery__item {
	max-width: calc(var(--index) * 21);
	margin-bottom: var(--gallery-gap);
	max-height: 180vh;
	border-radius: 8px;
}

.gallery__left {
	margin-top: calc(var(--gallery-gap) * 1.75);
}

.gallery__right .gallery__item {
	margin: 0;
	margin-top: var(--gallery-gap);
}

.text-block {
	color: var(--color-text);
	position: relative;
}

.text-block__h {
	font-size: 3rem;
	line-height: 2.4rem;
	color: var(--color-header);
	margin-bottom: 1.5rem;
}

.text-block__p {
	line-height: 1;
	font-size: 2rem;
}

/* Медиа-запрос для экранов менее 900px */
@media (max-width: 900px) {
	.main-title {
		font-size: calc(var(--index) * 3); /* Уменьшить размер в два раза */
		bottom: 5vh;
	}

	.text-block__h {
		font-size: 1.5rem; /* Уменьшить размер в два раза */
		line-height: 1.2rem;
		margin-bottom: 0.75rem;
	}

	.text-block__p {
		font-size: 1rem; /* Уменьшить размер в два раза */
	}
}
